lang_list = [
    'en', 'af', 'al', 'ar', 'az', 'bg', 'ca', 'cz', 'da', 'de', 'el', 'eu',
    'fa', 'fi', 'fr', 'gl', 'he', 'hi', 'hr', 'hu', 'id', 'it', 'ja', 'kr',
    'la', 'lt', 'mk', 'no', 'nl', 'pl', 'pt', 'ro', 'ru', 'se', 'sk', 'sl',
    'es', 'sr', 'th', 'tr', 'uk', 'vi', 'zu',
    'pt_br', 'zh_cn', 'zh_tw'
]


# Weather translations are from OpenWeatherMap API
# Don't change the layout.
TRANSLATION = {
    #           0                                    1                               2                           3                           4                       5                        6                                 7                   8        9             10
    #       Clear Sky                       Broken Clouds                   Overcast Clouds             Few Clouds                  Scattered Clouds            Light Rain                  Moderate Rain                   Heavy Rain      Thunderstorm    Snow        Mist
    'en': ('Clear Sky',                     'Broken Clouds',                'Overcast Clouds',          'Few Clouds',               'Scattered Clouds',         'Light Rain',               'Moderate Rain',                'Heavy Rain',   'Thunderstorm', 'Snow',     'Mist'),
    'af': ('Helder Lug',                    'Los Wolke',                    'Bewolk',                   'Enkele Wolke',             'Verstrooide Wolke',        'Ligte Reën',               'Matige Reën',                  '',             '',             '',         ''),
    'al': ('Clear Sky',                     'Broken Clouds',                'Overcast Clouds',          'Few Clouds',               'Scattered Clouds',         'Light Rain',               'Moderate Rain',                'Heavy Rain',   'Thunderstorm', 'Snow',     'Mist'),
    'ar': ('',                              '',                             '',                         '',                         '',                         '',                        '',                              '',             '',             '',         ''),
    'az': ('Aydın Səma',                    'Az Buludlu',                   'Qapalı Buludlu',           'Az Buludlu',               'Dağınıq Buludlu',          'Yüngül Yağış',             'Mülayim Yağış',                '',             '',             '',         ''),
    'bg': ('Ясно Небе',                     'Предимно Облачно',             'Облачно',                  'Предимно Ясно',            'Разкъсана Облачност',      'Слаб Дъжд',                'Умерен Дъжд',                  '',             '',             '',         ''),
    'ca': ('Cel Net',                       'Nuvolositat Variable',         'Lleugerament Ennuvolat',   'Núvols Dispersos',         '',                         'Pluja Suau',               'Pluja',                        '',             '',             '',         ''),
    'cz': ('Jasno',                         'Oblačno',                      'Ennuvolat',                'Skoro Jasno',              'Polojasno',                'Slabý Déšť',               'Déšť',                         '',             '',             '',         ''),
    'da': ('Klar Himmel',                   'Spredt Skydække',              'Skydække',                 'Få Skyer',                 'Spredte Skyer',            'Let Regn',                 'Regn',                         '',             '',             '',         ''),
    'de': ('Klarer Himmel',                 'Überwiegend Bewölkt',          'Bedeckt',                  'Ein Paar Wolken',          'Mäßig Bewölkt',            'Leichter Regen',           'Mäßiger Regen',                'Starker Rege', '',             '',         ''),
    'el': ('Αίθριος Καιρός',                'Αραιές Νεφώσεις',              'Αυξημένες Νεφώσεις',       'Ελαφρές Νεφώσεις',         'Σποραδικές Νεφώσεις',      'Ασθενείς Βροχοπτώσεις',    'Βροχοπτώσεις Μέτριας Έντασης', '',             '',             '',         ''),
    'es': ('Cielo Claro',                   'Muy Nuboso',                   'Nubes',                    'Algo De Nubes',            'Nubes Dispersas',          'Lluvia Ligera',            'Lluvia Moderada',              '',             '',             '',         ''),
    'eu': ('Oskarbi',                       'Hodeiak Eta Ostarteak',        'Zeru Estalia',             'Hodei Gutxi',              'Hodei Sakabanatuak',       'Euri Arina',               'Euria',                        '',             '',             '',         ''),
    'fa': ('',                              '',                             '',                         '',                         '',                         '',                        '',                              '',             '',             '',         ''),
    'fi': ('Taivas On Selkeä',              'Hajanaisia Pilviä',            'Pilvinen',                 'Vähän Pilviä',             'Ajoittaisia Pilviä',       'Pieni Sade',               'Kohtalainen Sade',             '',             '',             '',         ''),
    'fr': ('Ciel Dégagé',                   'Nuageux',                      'Couvert',                  'Peu Nuageux',              'Partiellement Nuageux',    'Légère Pluie',             'Pluie Modérée',                '',             '',             '',         ''),
    'gl': ('Ceo Claro',                     'Nubes Rotas',                  'Nubes',                    'Algo De Nubes',            'Nubes Dispersas',          'Choiva Lixeira',           'Choiva Moderada',              '',             '',             '',         ''),
    'he': ('',                              '',                             '',                         '',                         '',                         '',                        '',                              '',          '',             '',         ''),
    'hi': ('साफ आकाश',                      'टूटे हुए बादल',                    'घनघोर बादल',                   'कुछ बादल',                 'छितरे हुए बादल',               'हल्की वर्षा',                      '',                             '',             '',             '',         ''),
    'hr': ('Vedro',                         'Isprekidani Oblaci',           'Oblačno',                  'Blaga Naoblaka',           'Raštrkani Oblaci',         'Slaba Kiša',               'मध्यम वर्षा',                          '',             '',             '',         ''),
    'hu': ('Tiszta Égbolt',                 'Erős Felhőzet',                'Borús Égbolt',             'Kevés Felhő',              'Szórványos Felhőzet',      'Enyhe Eső',                'Közepes Eső',                  '',             '',             '',         ''),
    'id': ('Langit Cerah',                  'Awan Pecah',                   'Awan Mendung',             'Sedikit Berawan',          'Awan Tersebar',            'Hujan Rintik-Rintik',      'Hujan Sedang',                 '',             '',             '',         ''),
    'it': ('Cielo Sereno',                  'Nubi Sparse',                  'Cielo Coperto',            'Poche Nuvole',             'Nubi Sparse',              'Pioggia Leggera',          'Pioggia Moderata',             '',             '',             '',         ''),
    'ja': ('晴天',                            '曇りがち',                     '厚い雲',                      '薄い雲',                  '雲',                        '小雨',                       '適度な雨',                     '強い雨',          '',             '',         ''),
    'kr': ('맑음',                            '튼구름',                          '온흐림',                  '약간의 구름이 낀 하늘',         '구름조금',                     '실 비',                  '보통 비',                         '',         '',                 '',         ''),
    'la': ('Skaidrs Laiks',                 'Mākoņains',                    'Mākoņains',                'Mākoņains',                'Mākoņains',                'Smidzina',                 'Lietus',                       '',             '',             '',     ''),
    'lt': ('Giedra',                        'Debesuota Su Pragiedruliais',  'Debesuota',                'Keli Debesys',             'Mažai Debesuota',          'Lengvas Lietus',           'Nepastovus Lietus',            '',             '',             '',     ''),
    'mk': ('Чисто Небо',                    'Облаци',                       'Облачно',                  'Неколку Облаци',           'Одвоени Облаци',           'Слаб Дожд',                'Слаб Дожд',                    '',             '',             '',     ''),
    'no': ('Klart',                         'Spredt Skydekke',              'Overskyet',                'Enkelte Skyer',            'Spredte Skyer',            'Lett Regn',                'Moderat Regn',                 '',             '',             '',     ''),
    'nl': ('Onbewolkt',                     'Half Bewolkt',                 'Bewolkt',                  'Zeer Lichte Bewolking',    'Licht Bewolkt',            'Lichte Regen',             'Matige Regen',                 '',             '',             '',     ''),
    'pl': ('Bezchmurnie',                   'Pochmurno Z Przejaśnieniami',  'Całkowite Zachmurzenie',   'Lekkie Zachmurzenie',      'Rozproszone Chmury',       'Słabe Opady Deszczu',      'Umiarkowane Opady Deszczu',    '',             '',             '',     ''),
    'pt': ('Céu Limpo',                     'Nuvens Quebradas',             'Nublado',                  'Céu Pouco Nublado',        'Nuvens Dispersas',         'Chuva Fraca',              'Chuva Moderada',               '',             '',             '',     ''),
    'ro': ('Cer Senin',                     'Cer Fragmentat',               'Cer Acoperit De Nori',     'Câțiva Nori',              'Nori Împrăștiați',         'Ploaie Ușoară',            'Ploaie',                       '',             '',             '',     ''),
    'ru': ('Ясно',                          'Облачно С Прояснениями',       'Пасмурно',                 'Небольшая Облачность',     'Переменная Облачность',    'Небольшой Дождь',          'Дождь',                        '',             '',             '',     ''),
    'se': ('Klar Himmel',                   'Molnigt',                      'Mulet',                    'Lätt Molnighet',           'Växlande Molnighet',       'Lätt Regn',                'Något Regn',                   '',             '',             '',     ''),
    'sk': ('Jasná Obloha',                  'Oblačno',                      'Zamračené',                'Takmer Jasno',             'Polojasno',                'Slabý Dážď',               'Mierny Dážď',                  '',             '',             '',     ''),
    'sl': ('Jasno',                         'Pretežno Oblačno',             'Oblačno',                  'Pretrgana Oblačnost',      'Delno Oblačno',            'Rahel Dež',                'Dež',                          '',             '',             '',     ''),
    'sr': ('Ведро Небо',                    'Испрекидани Облаци',           'Ниски Облаци',             'Местимични Облаци',        'Разбацани Облаци',         'Кишица',                   'Умерена Киша',                 '',             '',             '',     ''),
    'th': ('ท้องฟ้าแจ่มใส',                     'เมฆเป็นหย่อม ๆ',                   'เมฆเต็มท้องฟ้า',                   'เมฆเล็กน้อย',                  'เมฆกระจาย',                'ฝนเบา ๆ',                      'ฝนปานกลาง',                    '',             '',             '',     ''),
    'tr': ('Açık',                          'Parçalı Bulutlu',              'Kapalı',                   'Az Bulutlu',               'Parçalı Az Bulutlu',       'Hafif Yağmur',             'Orta Şiddetli Yağmur',         '',             '',             '',     ''),
    'uk': ('Чисте Небо',                    'Рвані Хмари',                  'Хмарно',                   'Кілька Хмар',              'Уривчасті Хмари',          'Легкий Дощ',               'Помірний Дощ',                 '',             '',             '',     ''),
    'vi': ('Bầu Trời Quang Đãng',           'Mây Cụm',                      'Mây Đen U Ám',             'Mây Thưa',                 'Mây Rải Rác',              'Mưa Nhẹ',                  'Mưa Vừa',                      '',             '',             '',     ''),
    'zu': ('Isibhakabhaka Esingenalutho',   'Amafu Angenamandla',           'Liguqubele',               'Gqwagqwa Ngamafu',         'Amafu Lapho Nalapho',      'Imvudlana',                'Imvula Ekahle',                '',             '',             '',     ''),
    'pt_br': ('Céu Limpo',                  'Nublado',                      'Nublado',                  'Algumas Nuvens',           'Nuvens Dispersas',         'Chuva Leve',               'Chuva Moderada',               '',             '',             '',     ''),
    'zh_cn': ('晴',                          '多云',                           '阴，多云',                 '晴，少云',                     '多云',                   '小雨',                     '中雨',                         '',             '',             '',     ''),
    'zh_tw': ('晴',                          '多雲',                           '陰，多雲',                 '晴，少雲',                     '多雲',                   '小雨',                     '中雨',                         '',             '',             '',     '')
}